@import "./../../scss/variables";

.login-bg-container {
  position: relative;
}

.login-bg {
  width: 100%;
  height: 93vh;
  object-fit: cover;
}

.login-bg-layer {
  position: absolute;
  font-size: 20px;
  font-weight: bold;
  font-style: italic;
  background-color: $primary;
  height: 93vh;
  width: 100%;
  top: 0;
  left: 0;
  opacity: 0.7;
}

.title-container {
  position: absolute;
  top: 0;
  left: 0;
  text-align: center;
  width: 100%;
  margin-top: 9vh;
}

.title-text {
  margin-top: 3vh;
  color: $complement;
}

.title-bottom {
  font-weight: bold;
  margin-top: 4vh;
  margin-bottom: 9vh;
}

.login-btn {
  height: 7vh;
  width: 100%;
  bottom: 0;
  border: none;
}

.login-btn-active {
  background-color: $complement;
  font-weight: bold;
  color: $primary-dark;
}

.login-btn-inactive {
  background-color: $disabled-text-dark;
  font-weight: bold;
  color: $background;
  cursor: not-allowed;
}

.green-filter {
  filter: $complement-filter;
}

.login-logo {
  max-width: 7vh;
  height: auto;
  margin-top: -13vh;
}

.login-logo-circle {
  margin: auto;
  padding-top: 10vh;
  border: 2px solid $complement;
  outline: 2px solid $primary-light;
  outline-offset: 2px;
  background-color: transparent;
  border-radius: 50%;
  width: 10vh;
  height: 10vh;
}

.login-form-container {
  margin-top: 15vh;
  font-size: 28px;
}

.login-text-input {
  height: 6vh;
  width: 40vh;
  margin-top: 3vh;
  border-radius: 50px;
  background-color: transparent;
  border: 1px solid white;
  color: $disabled-background-or-text-light;
}

.login-text-input:focus {
  background-color: white;
  opacity: 0.3;
  color: $primary-dark;
}

.login-text-input::placeholder {
  color: #d3c1e5;
}

.icon-username {
  padding-left: 7vh;
  background: url("./../../assets/icons/user.svg") no-repeat left;
  background-size: 3vh;
  background-position-x: 2vh;
}

.icon-password {
  padding-left: 7vh;
  background: url("./../../assets/icons/password.svg") no-repeat left;
  background-size: 3vh;
  background-position-x: 2vh;
}
